<?php
/**
 * @version 1.0
 * @copyright Copyright (C) 2014 rayzzz.com. All rights reserved.
 * @license OSCL, see http://www.oxwall.org/store/oscl
 * @website http://rayzzz.com
 * @twitter @rayzzzcom
 * @email rayzexpert@gmail.com
 */
$sFile = realpath(dirname(__FILE__) . '/../include/init.php');
if(file_exists($sFile))
	require_once($sFile);
else
	die("Init file is not found");
 
class RZYOUTUBE_CTRL_Page extends OW_ActionController
{	
	var $sModule = "rzyoutube";
	
	public function __construct()
	{
        parent::__construct();
	}
    
	public function index()
	{
        if( !OW::getUser()->isAuthenticated() )
        {
            throw new AuthenticateException();
        }
		
		OW::getDocument()->addScript(OW::getPluginManager()->getPlugin($this->sModule)->getStaticJsUrl() . 'swfobject.js');
		OW::getDocument()->addScript(OW::getPluginManager()->getPlugin($this->sModule)->getStaticJsUrl() . 'rzstart.js');
		
        $this->assign('id', OW::getUser()->getId());
        $this->assign('password', OW::getUser()->getUserObject()->password);
        $this->assign('app', OW::getUser()->isAdmin() ? 'admin' : 'user');
        $this->assign('width', RzyoutubeInit::$aRzInfo['width']);
        $this->assign('height', RzyoutubeInit::$aRzInfo['height']);
        $this->assign('home', OW_URL_HOME . $this->sModule . '/');
        $this->assign('base', OW::getPluginManager()->getPlugin($this->sModule)->getStaticUrl());
        
        $this->setPageHeading(RzyoutubeInit::$aRzInfo['title']);
        $this->setPageTitle(RzyoutubeInit::$aRzInfo['title']);
	}
	
	public function skins()
	{
		ob_end_clean();
        setlocale(LC_ALL, 'EN_US');
		header('Expires: ' . gmdate('D, d M Y H:i:s', time()) . ' GMT');
		header("Content-Type: application/x-shockwave-flash");
		readfile(OW::getPluginManager()->getPlugin($this->sModule)->getStaticDir() . 'skins/default.swf');
		exit;
	}
	
	public function xml()
	{
		$sDir = realpath(dirname(__FILE__) . '/../');
		require_once($sDir . "/include/xml.php");
		require_once($sDir . "/include/db.php");
		require_once($sDir . "/include/base.php");
		require_once($sDir . "/include/integration.php");
		require_once($sDir . "/include/module.php");

		$oModule = new RzModule(OW::getPluginManager()->getPlugin($this->sModule)->getStaticDir(), OW_URL_HOME . $this->sModule . '/data?');
		$sMethod = "action" . ucfirst($oModule->getRequestVar("rzaction"));
		if(method_exists($oModule, $sMethod))
			$sContents = call_user_func_array(array($oModule, $sMethod), array());
		else
			$sContents = "";

		ob_end_clean();
		header("Cache-Control: no-store, no-cache, must-revalidate");
		header("Cache-Control: post-check=0, pre-check=0", false);
		header("Pragma: no-cache");
		header ('Content-Type: application/xml');
		echo "<?xml version='1.0' encoding='UTF-8'?>" . $oModule->makeGroup($sContents);
		exit;
	}
	
	public function data()
	{
		$aUrl = explode("?", $_SERVER['REQUEST_URI']);
		$sFile = $aUrl[1];
		$sExt = substr($sFile, -3);
		$sFile = OW::getPluginManager()->getPlugin($this->sModule)->getStaticDir() . $sFile;

		ob_end_clean();
		switch($sExt){
			case "swf":
				setlocale(LC_ALL, 'EN_US');
				header('Expires: ' . gmdate('D, d M Y H:i:s', time()) . ' GMT');
				header("Content-Type: application/x-shockwave-flash");
				break;
			case "xml":
				header("Cache-Control: no-store, no-cache, must-revalidate");
				header("Cache-Control: post-check=0, pre-check=0", false);
				header("Pragma: no-cache");
				header ('Content-Type: application/xml');
				break;
			case "jpg":
				setlocale(LC_ALL, 'EN_US');
				header('Expires: ' . gmdate('D, d M Y H:i:s', time()) . ' GMT');
				header("Content-Type: image/jpeg");
				break;
			case "png":
				setlocale(LC_ALL, 'EN_US');
				header('Expires: ' . gmdate('D, d M Y H:i:s', time()) . ' GMT');
				header("Content-Type: image/png");
				break;
			case "gif":
				setlocale(LC_ALL, 'EN_US');
				header('Expires: ' . gmdate('D, d M Y H:i:s', time()) . ' GMT');
				header("Content-Type: image/gif");
				break;
			default:
				header('Content-Description: File Transfer');
				header('Content-Type: application/octet-stream');
				header('Content-Disposition: attachment; filename=' . basename($sFile));
				header('Content-Transfer-Encoding: binary');
				header('Expires: 0');
				header('Cache-Control: must-revalidate');
				header('Pragma: public');
				header('Content-Length: ' . filesize($sFile));
				break;
		}
		readfile($sFile);
		exit;
	}
}