<?php
/**
 * @version 1.0
 * @copyright Copyright (C) 2014 rayzzz.com. All rights reserved.
 * @license OSCL, see http://www.oxwall.org/store/oscl
 * @website http://rayzzz.com
 * @twitter @rayzzzcom
 * @email rayzexpert@gmail.com
 */
class RzDbConnect {
  /**
   * Last fetch counter.
   */
  private $i_last_fetch = 0;
  /**
   * Gets query result.
   */
  public function getResult($s_query) {
    if (substr($s_query, 0, 6) == "SELECT") {
      $this->i_last_fetch = 0;
      return OW::getDbo()->queryForList($s_query);
    }
    return OW::getDbo()->query($s_query);
  }

  /**
   * Gets array.
   */
  public function getArray($s_query) {
    return $this->fetch($this->getResult($s_query));
  }

  /**
   * Gets single value.
   */
  public function getValue($s_query) {
    $a = $this->getResult($s_query);
    return array_shift($a[0]);
  }

  /**
   * Fetches query record.
   */
  public function fetch($r_result) {
    if (isset($r_result[$this->i_last_fetch])) {
      $a_arr = $r_result[$this->i_last_fetch];
      $this->i_last_fetch++;
      return $a_arr;
    }
    $this->i_last_fetch = 0;
	return NULL;
  }
}
