<?php

/**
 * @file
 * Module initialization class.
 */

class RzyoutubeInit {
  /**
   * Module details and info.
   */
  public static $aRzInfo = array(
    'module' => "rzyoutube",
    'title' => "YouTube",
    'desc' => "YouTube Browser",
    'version' => "1.0.0",
    'author' => "rayzzz.com",
    'email' => "rayzexpert@gmail.com",
    'url' => "http://rayzzz.com/redirect.php?action=about&widget=youtube&target=rz",
    'min_width' => "800",
    'width' => "100%",
    'height' => "600",
  );
  /**
   * Module installation tables details.
   */
  public static $aDBTables = array(
    'rzyoutube_elements' => array(
      'fields' => array(
        'ID' => array(
          'type' => 'int',
          'not null' => TRUE,
          'auto_increment' => TRUE,
          'length' => 20,
        ),
        'User' => array(
          'type' => 'varchar',
          'not null' => TRUE,
          'default' => '',
          'length' => 36,
        ),
        'Title' => array(
          'type' => 'varchar',
          'not null' => TRUE,
          'default' => '',
          'length' => 255,
        ),
        'Param' => array(
          'type' => 'varchar',
          'not null' => TRUE,
          'default' => 'tag',
          'length' => 8,
        ),
        'Value' => array(
          'type' => 'varchar',
          'not null' => TRUE,
          'default' => '',
          'length' => 255,
        ),
        'Video' => array(
          'type' => 'varchar',
          'not null' => TRUE,
          'default' => '',
          'length' => 20,
        ),
        'Length' => array(
          'type' => 'int',
          'not null' => TRUE,
          'default' => 0,
          'unsigned' => TRUE,
          'length' => 11,
        ),
        'Image' => array(
          'type' => 'varchar',
          'not null' => TRUE,
          'default' => '',
          'length' => 255,
        ),
        'Author' => array(
          'type' => 'varchar',
          'not null' => TRUE,
          'default' => 'Unknown',
          'length' => 50,
        ),
        'Public' => array(
          'type' => 'varchar',
          'not null' => TRUE,
          'default' => 'true',
          'length' => 5,
        ),
        'Category' => array(
          'type' => 'int',
          'not null' => TRUE,
          'default' => 0,
          'unsigned' => TRUE,
          'length' => 4,
        ),
        'Ord' => array(
          'type' => 'int',
          'not null' => TRUE,
          'default' => 0,
          'unsigned' => TRUE,
          'length' => 11,
        ),
        'Parent' => array(
          'type' => 'int',
          'not null' => TRUE,
          'default' => 0,
          'unsigned' => TRUE,
          'length' => 11,
        ),
      ),
      'primary key' => array('ID'),
    ),

    'rzyoutube_favorites' => array(
      'fields' => array(
        'ID' => array(
          'type' => 'int',
          'not null' => TRUE,
          'auto_increment' => TRUE,
          'length' => 20,
        ),
        'User' => array(
          'type' => 'varchar',
          'not null' => TRUE,
          'default' => '',
          'length' => 36,
        ),
        'Element' => array(
          'type' => 'int',
          'not null' => TRUE,
          'default' => 0,
          'unsigned' => TRUE,
          'length' => 11,
        ),
      ),
      'primary key' => array('ID'),
    ),
  );
  /**
   * Module installation tables values.
   */
  public static $aDBInserts = array(
    0 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("1", "Top Rated",  "standard", "top_rated?time=today", "1", "1"),
    ),
    1 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("2", "Top Favorites",  "standard", "top_favorites?time=today", "1", "2"),
    ),
    2 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("3", "Most Viewed",  "standard", "most_viewed?time=today", "1", "3"),
    ),
    3 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("4", "Most Recent",  "standard", "most_recent", "1", "4"),
    ),
    4 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("5", "Most Discussed",  "standard", "most_discussed?time=today", "1", "5"),
    ),
    5 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("6", "Most Responded",  "standard", "most_responded?time=today", "1", "6"),
    ),
    6 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("7", "Recently Featured",  "standard", "recently_featured", "1", "7"),
    ),
    7 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("8", "Film & Animation",  "tag", "Film", "1", "8"),
    ),
    8 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("9", "Autos & Vehicles",  "tag", "Autos", "1", "9"),
    ),
    9 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("10", "Music",  "tag", "Music", "1", "10"),
    ),
    10 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("11", "Pets & Animals",  "tag", "Animals", "1", "11"),
    ),
    11 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("12", "Sports",  "tag", "Sports", "1", "12"),
    ),
    12 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("13", "Travel & Events",  "tag", "Travel", "1", "13"),
    ),
    13 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("14", "Short Movies",  "tag", "Shortmov", "1", "14"),
    ),
    14 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("15", "Videoblogging",  "tag", "Videoblog", "1", "15"),
    ),
    15 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("16", "Gadgets & Games",  "tag", "Games", "1", "16"),
    ),
    16 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("17", "Comedy",  "tag", "Comedy", "1", "17"),
    ),
    17 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("18", "People & Blogs",  "tag", "People", "1", "18"),
    ),
    18 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("19", "News & Politics",  "tag", "News", "1", "19"),
    ),
    19 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("20", "Entertainment",  "tag", "Entertainment", "1", "20"),
    ),
    20 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("21", "Education",  "tag", "Education", "1", "21"),
    ),
    21 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("22", "Howto & Style",  "tag", "Howto", "1", "22"),
    ),
    22 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("23", "Nonprofits & Activism",  "tag", "Nonprofit", "1", "23"),
    ),
    23 => array(
      'table' => "rzyoutube_elements",
      'columns' => array("ID", "Title", "Param", "Value", "Category", "Ord"),
      'values' => array("24", "Science & Technology",  "tag", "Science", "1", "24"),
    ),
  );
}