<?php
/**
 * @version 1.0
 * @copyright Copyright (C) 2014 rayzzz.com. All rights reserved.
 * @license OSCL, see http://www.oxwall.org/store/oscl
 * @website http://rayzzz.com
 * @twitter @rayzzzcom
 * @email rayzexpert@gmail.com
 */ 
class RzIntegration extends RzBase {
  /**
   * Database tables prefix.
   */
  protected $dbPrefix;
  /**
   * Site home url.
   */
  protected $sSiteUrl;
  /**
   * Site login user url.
   */
  protected $sLoginUrl;

  /**
   * Class constructor.
   */
  public function __construct($s_path, $s_url) {
    parent::__construct($s_path, $s_url);
    $this->oDb = new RzDbConnect();
    $this->dbPrefix = OW_DB_PREFIX;
    $this->sSiteUrl = OW_URL_HOME;
    $this->sLoginUrl = $this->sSiteUrl . "join";
    $this->sFilesPath = OW::getPluginManager()->getPlugin($this->sModule)->getStaticDir() . "files/";
    $this->sFilesUrl = OW::getPluginManager()->getPlugin($this->sModule)->getStaticUrl() . "files/";
  }

  /**
   * Checks user login and password.
   */
  protected function loginUser($s_name, $s_password, $b_login = FALSE) {
    $s_field = $b_login ? "username" : "id";
    $s_id = $this->oDb->getValue("SELECT id FROM " . $this->dbPrefix . "base_user WHERE " . $s_field . "='" . $s_name . "' AND password='" . $s_password . "' LIMIT 1");
    return !empty($s_id);
  }

  /**
   * Checks admin login and password.
   */
  protected function loginAdmin($s_id, $s_password) {
    if (!$this->loginUser($s_id, $s_password)) {
      return FALSE;
    }
    return OW::getUser()->isAdmin();
  }

  /**
   * Gets user info.
   */
  protected function getUserInfo($s_id, $b_nick = FALSE) {
    $s_where_part = ($b_nick ? "username" : "id") . " = '" . $s_id . "'";
    $a_user = $this->oDb->getArray("SELECT * FROM " . $this->dbPrefix . "base_user WHERE " . $s_where_part . " LIMIT 1");
    if (empty($a_user['id'])) {
      return array("id" => 0, "nick" => "", "sex" => "M", "age" => 25, "desc" => "", "photo" => "", "profile" => "");
    }
    $s_desc = $a_user['username'];
    $s_sex = "M";
    $i_age = 25;
    $s_profile = $this->sSiteUrl . "user/" . $a_user['username'];
    $r_res = $this->oDb->getResult("SELECT *, YEAR(FROM_DAYS(DATEDIFF(NOW(), dateValue))) AS D FROM " . $this->dbPrefix . "base_question_data WHERE userId=" . $a_user['id']);
    while (($a = $this->oDb->fetch($r_res)) !== NULL) {
      switch ($a['questionName']) {
        case "realname":
          $s_desc = trim($a['textValue']);
          break;
        case "sex":
          $s_sex = ((int)$a['intValue']) == 1 ? "M" : "F";
          break;
        case "birthdate":
          $i_age = (int)$a['D'];
          break;
      }
    }
    $s_photo = OW::getPluginManager()->getPlugin($this->sModule)->getStaticUrl() . 'data/' . ($s_sex == "M" ? "male.jpg" : "female.jpg");
    return array("id" => (int)$a_user["id"], "nick" => $a_user['username'], "sex" => $s_sex, "age" => $i_age, "desc" => $s_desc, "photo" => $s_photo, "profile" => $s_profile);
	}

  /**
   * Searches for user.
   */
  protected function searchUser($s_value, $s_field = "ID") {
    if ($s_field == "ID") {
      $s_field = "id";
    }
    else {
      $s_field = "username";
    }
    $s_id = $this->oDb->getValue("SELECT guid FROM " . $this->dbPrefix . "base_user WHERE " . $s_field . " = '" . $s_value . "' LIMIT 1");
    return $s_id;
  }

  /**
   * Gets current language.
   */
  protected function getCurrentLang($s_user_id = "") {
    $s_lang = $this->oDb->getValue("SELECT tag FROM " . $this->dbPrefix . "base_language WHERE status='active' LIMIT 1");
    if (!empty($s_lang)) {
      return $s_lang;
    }
    return parent::getCurrentLang($s_user_id);
  }

  /**
   * Gets membership id by user id.
   */
  protected function getMembershipId($s_user_id) {
    return $this->oDb->getValue("SELECT MAX(roleId) FROM " . $this->dbPrefix . "base_authorization_user_role WHERE userId=" . $s_user_id);
  }

  /**
   * Gets memberships levels.
   */
  protected function getMemberships() {
    $a_groups = array();
    $r_res = $this->oDb->getResult("SELECT * FROM " . $this->dbPrefix . "base_authorization_role");
    while (($a = $this->oDb->fetch($r_res)) !== NULL) {
      $a_groups[$a['id']] = $a['name'];
    }
    return $a_groups;
  }
}
