<?php
/**
 * @version 1.0
 * @copyright Copyright (C) 2014 rayzzz.com. All rights reserved.
 * @license OSCL, see http://www.oxwall.org/store/oscl
 * @website http://rayzzz.com
 * @twitter @rayzzzcom
 * @email rayzexpert@gmail.com
 */
$sFile = dirname(__FILE__) . '/include/init.php';
if(file_exists($sFile))
	require_once($sFile);
else
	die("Init file is not found");

foreach(RzyoutubeInit::$aDBTables as $sName => $aTable)
{
	OW::getDbo()->query("DROP TABLE IF EXISTS `" . OW_DB_PREFIX . $sName . "`;");
	$sql_main = "CREATE TABLE IF NOT EXISTS `" . OW_DB_PREFIX . $sName . "` (";
	foreach($aTable['fields'] as $sField => $aField)
	{
		$sql_main .= "`" . $sField . "` " . $aField['type'] . (isset($aField['length']) ? "(" . $aField['length'] . ") " : " ") . ($aField['not null'] ? "NOT NULL " : " ") . (isset($aField['auto_increment']) && $aField['auto_increment'] ? "auto_increment " : " ");
		if(isset($aField['default']))
		{
			if(is_int($aField['default']))
				$sql_main .= "default " . $aField['default'];
			else
				$sql_main .= "default '" . $aField['default'] . "'";
		}
		$sql_main .= ",";
	}
	$sql_main .= "PRIMARY KEY (`" . implode("`,`", $aTable['primary key']) . "`)) ENGINE=MyISAM ROW_FORMAT=DEFAULT";
	OW::getDbo()->query($sql_main);
}
for($i=0; $i<count(RzyoutubeInit::$aDBInserts); $i++)
{
	OW::getDbo()->query("INSERT INTO `" . OW_DB_PREFIX . RzyoutubeInit::$aDBInserts[$i]['table'] . "`(`" . implode("`,`", RzyoutubeInit::$aDBInserts[$i]['columns']) . "`) VALUES('" . implode("','", RzyoutubeInit::$aDBInserts[$i]['values']) . "');");
}

OW::getLanguage()->importPluginLangs(OW::getPluginManager()->getPlugin("rzyoutube")->getRootDir() . 'langs.zip', "rzyoutube");